npm.devtool.tech
👏 You can access eventsource-polyfill package with using eventsourcePolyfill variable in browser devtools!
A browser polyfill for W3C EventSource (http://www.w3.org/TR/eventsource/)

code/package/bundle size

0B
publish
0B
install
0B
bundle minified
0B
bundle gzipped

EventSource Polyfill

Provide polyfill to support EventSource in browser where it is not available.

Installing

from source

Download suitable project archive (zip or tar.gz) from release page

Include in your html documents one of the following javascript file:

  • dist/eventsource.js
  • dist/eventsource.min.js (minified version)

Using bower package manager

To install package from bower registry, type :

bower install eventsource-polyfill

Include in your html documents one of the following javascript file:

  • bower_components/eventsource-polyfill/dist/eventsource.js
  • bower_components/eventsource-polyfill/dist/eventsource.min.js (minified version)

Using npm package manager

To install package from npm registry, type :

npm install eventsource-polyfill

Note that this package may only be used with in browser application.

If you are using browserify , you just have to require this package in your main module…

// load (Polyfill) EventSource, in case browser does not support it...
require('eventsource-polyfill');

Run the tests now

With your web browser visit this test site

Allow sufficient time ( ~ 5 minutes) for the full Test Suite to run…

Project content

dist/
built version of javascript modules

javascript/
Contains polyfill module and related unit tests

test_server/
python server which generates easy to test event stream

docs/
documentation wiki

🔎Explore Package🔎CDN Script

Score

Popularity35/100
Quality72/100
Maintenance17/100